curl -X POST "https://api.whatabot.app/api/v1/kanban/pipelines/pipeline-uuid/cards" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"stageId": "stage-uuid", "values": {"name": "Maria Souza"}, "tags": ["hot"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": null,
"tags": ["hot"],
"values": {
"name": "Maria Souza"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T10:00:00.000Z"
}
Kanban
Criar Card
Cria um novo card em um pipeline.
POST
/
v1
/
kanban
/
pipelines
/
{pipelineId}
/
cards
curl -X POST "https://api.whatabot.app/api/v1/kanban/pipelines/pipeline-uuid/cards" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"stageId": "stage-uuid", "values": {"name": "Maria Souza"}, "tags": ["hot"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": null,
"tags": ["hot"],
"values": {
"name": "Maria Souza"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T10:00:00.000Z"
}
Cria um novo card em um estágio específico do pipeline.
string
obrigatório
Sua chave de API (prefixada com
wh_).string
obrigatório
UUID do pipeline.
Body
string
obrigatório
UUID do estágio onde o card será criado.
object
Valores dos campos do card (chave = ID do campo, valor = dado).
string[]
Lista de tags para o card.
Exemplos de payload
- Card básico
- Card com valores
{
"stageId": "stage-uuid"
}
{
"stageId": "stage-uuid",
"values": {
"name": "Maria Souza",
"amount": 2500.00
},
"tags": ["enterprise", "hot"]
}
curl -X POST "https://api.whatabot.app/api/v1/kanban/pipelines/pipeline-uuid/cards" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"stageId": "stage-uuid", "values": {"name": "Maria Souza"}, "tags": ["hot"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": null,
"tags": ["hot"],
"values": {
"name": "Maria Souza"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T10:00:00.000Z"
}